Skip to main content
`Ctrl`+`K`

# DMGetCoordinatesLocalNoncollective

Non-collective version of `DMGetCoordinatesLocal()`. Fails if global coordinates have been set and `DMGetCoordinatesLocalSetUp()` not called.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinatesLocalNoncollective(DM dm, Vec *c)

Not Collective

## Input Parameter

- dm - the `DM`

## Output Parameter

- c - coordinate vector

## Note

A previous call to `DMGetCoordinatesLocal()` or `DMGetCoordinatesLocalSetUp()` ensures that a call to this function will not error.

## See Also

`DM`, `DMGetCoordinatesLocalSetUp()`, `DMGetCoordinatesLocal()`, `DMSetCoordinatesLocal()`, `DMGetCoordinates()`, `DMSetCoordinates()`, `DMGetCoordinateDM()`

## Level

advanced

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages